MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026425Open CASCADE[OCCT] OCCT:Documentationpublic2015-07-13 17:392016-04-20 15:51
Reporterysn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026425: Update of OCCT contribution workflow
DescriptionContribution workflow policy needs to be revised to formalize the requirements to notes made in Bugtracker and used for preparation of Release Notes.
Steps To ReproduceNA
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024514closedbugmaster Community Unclear guidelines to report issues in Mantis 

-  Notes
(0043002)
git (administrator)
2015-07-14 15:54

Branch CR26425 has been created by ysn.

SHA-1: 1df31cf0bc1b4f9378855c2ab33d3726723e94b9


Detailed log of new commits:

Author: ysn
Date: Tue Jul 14 15:54:14 2015 +0300

    Requirements to the release documentation described in more details.
    Added some suggestions concerning the workflow.
(0043003)
ysn (developer)
2015-07-14 16:00

Please, check the modifications.
I think that adding even more examples would make the chapter to long.

I also suggest renaming "Additional information and documentation updates" field of Mantis bugtracker into short "Documentation". "additional" has a taste of optionality.
(0044024)
abv (manager)
2015-08-12 11:52

Please correct a few points:

- do not use XXX's in the documentation (to avoid confusion with X rating). Use realistic names instead (either real or fake).

- do not refer to Documentation Engineer -- this is our internal position, not visible from outside. As well, we have no possibility to add reviewers; current workflow assumes only one reviewer. This is general problem, not related to documentation only; we shall think more on it.

- technical description of the changes made should be put first of all in the Git commit message, thus it should not be necessary to copy it to Mantis field. I suggest to take into account this and move relevant requirements and examples to the place where Git commits are described.

- I suppose that documentation field in Mantis should be used to add more information to description of change found in commit:

a) Details on effect of the change (benefits, possible problems etc.)
b) Porting notes
(0047313)
git (administrator)
2015-10-22 10:09

Branch CR26425_1 has been created by ysn.

SHA-1: 851a32fafdf9bef949fbe9ef7ca690656768ba50


Detailed log of new commits:

Author: ysn
Date: Thu Oct 22 10:08:41 2015 +0300

    Workflow rewritten according to the remarks.
(0049337)
abv (manager)
2015-12-21 06:49

Reviewed, to be integrated with 0024514
(0053194)
git (administrator)
2016-04-17 14:35

Branch CR26425 has been deleted by kgv.

SHA-1: 1df31cf0bc1b4f9378855c2ab33d3726723e94b9
(0053195)
git (administrator)
2016-04-17 14:35

Branch CR26425_1 has been deleted by kgv.

SHA-1: 851a32fafdf9bef949fbe9ef7ca690656768ba50

- Related Changesets
occt: master f9e256b3
Timestamp: 2015-10-22 07:08:41
Author: ysn
Committer: bugmaster
Details ] Diff ]
0026425: Update of OCCT contribution workflow

Requirements to the release documentation described in more details.
Added some suggestions concerning the workflow.
Workflow rewritten according to the remarks.
mod - dox/dev_guides/contribution_workflow/contribution_workflow.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-13 17:39 ysn New Issue
2015-07-13 17:39 ysn Assigned To => ysn
2015-07-14 15:54 git Note Added: 0043002
2015-07-14 16:00 ysn Note Added: 0043003
2015-07-14 16:00 ysn Assigned To ysn => abv
2015-07-14 16:00 ysn Status new => resolved
2015-07-14 16:00 ysn Steps to Reproduce Updated View Revisions
2015-08-12 11:52 abv Note Added: 0044024
2015-08-12 11:52 abv Assigned To abv => ysn
2015-08-12 11:52 abv Status resolved => assigned
2015-10-22 10:09 git Note Added: 0047313
2015-10-22 10:10 ysn Assigned To ysn => abv
2015-10-22 10:10 ysn Status assigned => resolved
2015-12-16 14:55 abv Relationship added related to 0024514
2015-12-21 06:49 abv Note Added: 0049337
2015-12-21 06:49 abv Assigned To abv => bugmaster
2015-12-21 06:49 abv Status resolved => reviewed
2015-12-22 15:27 bugmaster Status reviewed => tested
2015-12-25 19:04 bugmaster Changeset attached => occt master f9e256b3
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 14:35 git Note Added: 0053194
2016-04-17 14:35 git Note Added: 0053195
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker